package com.Mapper;

import com.Domain.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@test
public interface UserMapper {

    public void insert(User user);
    public User selectUser(@Param(value = "username") String userName, @Param(value = "password")String password);

    public List<User> selectUserByUsername(String userName);
    public List<User> selectAll();
    User findOne(String username);

}